@rem Licensed Materials - Property of IBM

@rem (C) Copyright IBM Corp. 2005, 2006  All Rights Reserved.

@rem US Government Users Restricted Rights - Use, duplication or
@rem disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

@rem @(#)59   1.22   ppe.proxy/src/bin/proxyserverctrl_ws.bat, am_ppe.proxy, itcam61, 20061116A 11/11/06 00:43:49

@rem (c) 2004 Cyanea Systems Corp

@ECHO OFF

@REM it's required to setting up the following environment variables before
@REM starting the port consolidator

set JAVA_HOME=@{WAS_HOME}\java
set TK_HOME=@{TOOLKITHOME}
set AM_HOME=@{AM_HOME}
@REM set DC_HOME=%AM_HOME%\itcamdc
set AM_MS_HOME=@{MS_AM_HOME}
set AM_VERSION=@{AM_VERSION}
set APPSERVER_VERSION=@{APPSERVER_VERSION}
set PROXY_PORT=8800
set KERNEL_HOST01=@{KERNEL_HOST01}
@REM set KERNEL_HOST02=@{KERNEL_HOST02}
set PORT_KERNEL_CODEBASE01=@{PORT_KERNEL_CODEBASE01}
@REM set PORT_KERNEL_CODEBASE02=@{PORT_KERNEL_CODEBASE02}
@REM set PORT_KERNEL_RFS01=@{PORT_KERNEL_RFS01}
@REM set PORT_KERNEL_RFS02=@{PORT_KERNEL_RFS02}
set CODEBASE_ADDRESS01=%KERNEL_HOST01%:%PORT_KERNEL_CODEBASE01%
@REM set CODEBASE_ADDRESS02=%KERNEL_HOST02%:%PORT_KERNEL_CODEBASE02%

set cmdName=%0
set COMMAND=%1

set LOGS_HOME=C:\Program Files\IBM\tivoli\common\CYN\logs

IF NOT EXIST "%LOGS_HOME%" (
  set LOGS_HOME=%AM_HOME%
)

@ECHO "LOG directory is %LOGS_HOME%"

IF NOT EXIST "%JAVA_HOME%\bin" set JAVA_HOME=@{JAVA_HOME}
IF NOT EXIST "%JAVA_HOME%\bin" (
  @ECHO " The JDK cannot be found at %JAVA_HOME% "
  @ECHO "Please set JAVA_HOME in proxyserverctrl_ws.bat."
  goto END
)

set APPSERVER_MAJOR_VERSION=%APPSERVER_VERSION:~0,1%
@ECHO "Application server major version is %APPSERVER_MAJOR_VERSION%"

set temp=%AM_MS_HOME:~0,1%
IF "%temp%"=="/" (
  set SEPERATOR=//
  @ECHO "MS is on UNIX"
) ELSE (
  set SEPERATOR=/
  @ECHO "MS is on WINDOWS"
)

@rem substitue space with %20
setlocal enabledelayedexpansion
set AM_MS_HOME=!AM_MS_HOME: =%%^20!
@ECHO "MS_HOME=%AM_MS_HOME%"

if "%LOG_PROPERTIES%"=="" goto NO_LOG_PROPERTIES

if "%LOG_PROPERTIES%"=="" goto NO_LOG_PROPERTIES
        @rem ECHO "Log Properties is already defined"
        GOTO END_NO_LOG_PROPERTIES
:NO_LOG_PROPERTIES
        ECHO "Setting Log Properties"
        set LOG_PROPERTIES=%TK_HOME%\etc\cynlogging.properties
:END_NO_LOG_PROPERTIES

if "%AM_VERSION%"=="" set AM_VERSION=6.1

if "%AM_VERSION%"=="@{AM_VERSION}" set AM_VERSION=6.1

@ECHO "AM_VERSION is %AM_VERSION%"

IF NOT EXIST "%LOGS_HOME%\was%APPSERVER_MAJOR_VERSION%proxy" (
  echo "Creating directory for was%APPSERVER_MAJOR_VERSION% proxy"
  mkdir "%LOGS_HOME%\was%APPSERVER_MAJOR_VERSION%proxy"
)

:CLASSPATH_SECURITY_POLICY
        set CLASSPATH=.
        set CLASSPATH=%CLASSPATH%;%AM_HOME%\lib\ext\common.jar
        set CLASSPATH=%CLASSPATH%;%AM_HOME%\lib\ext\model.jar
        set CLASSPATH=%CLASSPATH%;%AM_HOME%\lib\ext\ppe.proxy-intf.jar
        set CLASSPATH=%CLASSPATH%;%AM_HOME%\lib\ext\ppe.proxy.jar
        set CLASSPATH=%CLASSPATH%;%AM_HOME%\lib\ext\ppe.probe-intf.jar
        set CLASSPATH=%CLASSPATH%;%AM_HOME%\lib\ext\kernel.common.jar
        set CLASSPATH=%CLASSPATH%;%AM_HOME%\lib\ext\cyaneaaux.jar
        set CLASSPATH=%CLASSPATH%;%TK_HOME%\lib\ext\tk_jflt.jar

        set SECURITY_POLICY_PROXY=%AM_HOME%\etc\proxy.policy
:END_CLASSPATH

if  "%COMMAND%"=="start" GOTO START
if  "%COMMAND%"=="stop" GOTO STOP_PING_LIST_DELETE
if  "%COMMAND%"=="ping" GOTO STOP_PING_LIST_DELETE
if  "%COMMAND%"=="list" GOTO STOP_PING_LIST_DELETE
if  "%COMMAND%"=="delete" GOTO STOP_PING_LIST_DELETE
if  "%COMMAND%"=="msg" GOTO CHANGE_LOGLEVEL
if  "%COMMAND%"=="trace" GOTO CHANGE_LOGLEVEL
if  "%COMMAND%"=="killall" GOTO KILLALL_FORCESTOP
if  "%COMMAND%"=="forcestop"  GOTO KILLALL_FORCESTOP

GOTO USAGE

:START
        echo "starting port consolidator..."
        set CLASSPATH=%CLASSPATH%;%AM_HOME%\lib\ext\ppe.probe.jar
        set CLASSPATH=%CLASSPATH%;%AM_HOME%\lib\ext\was\ppe.was_%APPSERVER_MAJOR_VERSION%.jar

	set RMI_CODEBASE=file:%SEPERATOR%%AM_MS_HOME%/lib/ppe.proxy-intf.jar file:%SEPERATOR%%AM_MS_HOME%/lib/ppe.probe-intf.jar file:%SEPERATOR%%AM_MS_HOME%/lib%AM_VERSION%/ppe.proxy.jar file:%SEPERATOR%%AM_MS_HOME%/lib%AM_VERSION%/ppe.probe.jar file:%SEPERATOR%%AM_MS_HOME%/lib%AM_VERSION%/ppe.probe-bootstrap.jar file:%SEPERATOR%%AM_MS_HOME%/lib%AM_VERSION%/ppe.was_%APPSERVER_MAJOR_VERSION%.jar

echo %RMI_CODEBASE%

            if "%HEAP_MIN_SIZE%"=="" GOTO SET_MIN_HEAP
                 GOTO HEAPSIZE_ALREADY_SET

:SET_MIN_HEAP

:SET_MIN_HEAP
            set HEAP_MIN_SIZE=64

                if "%HEAP_MAX_SIZE%"==""  GOTO SET_MAX_HEAP
                GOTO HEAPSIZE_ALREADY_SET

:SET_MAX_HEAP
            set HEAP_MAX_SIZE=64

:HEAPSIZE_ALREADY_SET

echo %HEAP_MIN_SIZE%
echo %HEAP_MAX_SIZE%

         "%JAVA_HOME%\bin\java" -classpath "%CLASSPATH%" -Dam.home="%AM_HOME%" -Dproxy.rmi.port=%PROXY_PORT% -Djava.security.policy="%SECURITY_POLICY_PROXY%" -Dkernel.codebase="http://%CODEBASE_ADDRESS01%/kernel.core.jar" -Dkernel.rfs.address="" -Djava.rmi.server.codebase="%RMI_CODEBASE%" -Dcom.ibm.tivoli.itcam.toolkit.util.logging.qualDir="was%APPSERVER_MAJOR_VERSION%proxy" -Djlog.propertyFileDir.CYN="%TK_HOME%\etc" -Xms%HEAP_MIN_SIZE%m -Xmx%HEAP_MAX_SIZE%m com.cyanea.proxy.Server %* 2>> "%LOGS_HOME%\am_stderr.log"  
   GOTO END

:STOP_PING_LIST_DELETE
  
        "%JAVA_HOME%\bin\java" -classpath "%CLASSPATH%" -Dproxy.rmi.port=%PROXY_PORT% -Djava.security.policy="%SECURITY_POLICY_PROXY%" -Dkernel.codebase="http://%CODEBASE_ADDRESS01%/kernel.core.jar " -Dkernel.rfs.address="" -Dcom.ibm.tivoli.itcam.toolkit.util.logging.qualDir="was%APPSERVER_MAJOR_VERSION%proxy" -Djlog.propertyFileDir.CYN="%TK_HOME%\etc" -Dam.home="%AM_HOME%" com.cyanea.proxy.Server %*
   GOTO END

:CHANGE_LOGLEVEL
        if "%2" == "" (
          echo "ERROR: logLevel is not specified"
          goto USAGE
        )
        set LOGLEVEL=""
        if "%2" == "error" set LOGLEVEL=6
        if "%2" == "warn" set LOGLEVEL=5
        if "%2" == "info" set LOGLEVEL=4
        if "%2" == "debug_min" set LOGLEVEL=3
        if "%2" == "debug_mid" set LOGLEVEL=2
        if "%2" == "debug_max" set LOGLEVEL=1
        if %LOGLEVEL% == "" goto USAGE

        "%JAVA_HOME%\bin\java" -classpath "%CLASSPATH%" -Dproxy.rmi.port=%PROXY_PORT% -Djava.security.policy="%SECURITY_POLICY_PROXY%" -Dkernel.codebase="http://%CODEBASE_ADDRESS01%/kernel.core.jar" -Dkernel.rfs.address="" -Dcom.ibm.tivoli.itcam.toolkit.util.logging.qualDir="was%APPSERVER_MAJOR_VERSION%proxy" -Djlog.propertyFileDir.CYN="%TK_HOME%\etc" -Dam.home="%AM_HOME%" com.cyanea.proxy.Server %COMMAND% %LOGLEVEL%
        GOTO END

:USAGE
        echo "usage: %cmdName% ( start | stop | forcestop | killall | ping | list | delete | msg | trace)";
        echo "  start      - start port consolidator";
        echo "  stop       - stop port consolidator";
        echo "  forcestop  - kill -9 all port consolidator proccesses";
        echo "  ping       - ping port consolidator";
        echo "  list       - list all registered datacollectors";
        echo "  delete     - delete all registered datacollectors";
        echo "  msg logLevel   - change log level for msg logger";
        echo "  trace logLevel - change log level for trace logger";
        echo "  where logLevel is [ error | warn | info | debug_min | debug_mid | debug_max]";

:END

